Std ViewIsometric/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/de |Name=Std ViewIsometric |MenuLocation={{StdMenu|Ansicht}} → Standardansichten → Axonometrisch → Isometrisch |Workbenches=Alle |Short...")
(Created page with "Der Std AnsichtIsometrisch Befehl versetzt die Kamera in die 3D Ansicht in [https://en.wikipedia.org/wiki/Isometric_projection axonomet...")
Line 10: Line 10:
==Beschreibung==
==Beschreibung==


[[Std ViewIsometric|Std ViewIsometric]] command puts the camera in the [[3D view|3D view]] in [https://en.wikipedia.org/wiki/Isometric_projection axonometric isometric] projection, with a view direction {{incode|[-0.5773, 0.5773, -0.5773]}}.
Der [[Std ViewIsometric/de|Std AnsichtIsometrisch]] Befehl versetzt die Kamera in die [[3D view/de|3D Ansicht]] in [https://en.wikipedia.org/wiki/Isometric_projection axonometrische isometrische] Projektion, mit einer Blickrichtung {{incode|[-0.5773, 0.5773, -0.5773]}}.


[[File:FreeCAD_views_front.svg]]
[[File:FreeCAD_views_front.svg]]

Revision as of 09:37, 1 April 2020

Std ViewIsometric

Menüeintrag
Ansicht → Standardansichten → Axonometrisch → Isometrisch
Arbeitsbereich
Alle
Standardtastenkürzel
0
Eingeführt in Version
-
Siehe auch
Orthographic Kamera, AnsichtDimetrisch, AnsichtTrimetrisch

Beschreibung

Der Std AnsichtIsometrisch Befehl versetzt die Kamera in die 3D Ansicht in axonometrische isometrische Projektion, mit einer Blickrichtung [-0.5773, 0.5773, -0.5773].

The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).

Kurzanleitung

  • Go to the menu View → Standard views → Axonometric → Isometric.
  • Or press the Isometric button.
  • Or press 0 in the numerical pad of the keyboard.

Scripting

The isometric view can be set from the Python console.

It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.

import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()

Gui.ActiveDocument.ActiveView.getViewDirection()